package com.wflow.test;

import com.wflow.test.HttpPressureUtil;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.CookieHandler;
import java.net.CookieManager;
import java.net.CookiePolicy;
import java.net.CookieStore;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Base64;
import java.util.HashMap;
import java.util.List;
import java.util.function.Consumer;

public class CookieManagerDemo {

   public static void printCookie(CookieStore cookieStore) {
      List listCookie = cookieStore.getCookies();
      listCookie.forEach((param1) -> {
         System.out.println("--------------------------------------");
         System.out.println("class      : " + httpCookie.getClass());
         System.out.println("comment    : " + httpCookie.getComment());
         System.out.println("commentURL : " + httpCookie.getCommentURL());
         System.out.println("discard    : " + httpCookie.getDiscard());
         System.out.println("domain     : " + httpCookie.getDomain());
         System.out.println("maxAge     : " + httpCookie.getMaxAge());
         System.out.println("name       : " + httpCookie.getName());
         System.out.println("path       : " + httpCookie.getPath());
         System.out.println("portlist   : " + httpCookie.getPortlist());
         System.out.println("secure     : " + httpCookie.getSecure());
         System.out.println("value      : " + httpCookie.getValue());
         System.out.println("version    : " + httpCookie.getVersion());
         System.out.println("httpCookie : " + httpCookie);
      });
   }

   public static void requestURL() throws Exception {
      URL url = new URL("http://192.168.3.249:9000/webDemo/index.jsp");
      HttpURLConnection conn = (HttpURLConnection)url.openConnection();
      String basic = Base64.getEncoder().encodeToString("infcn:123456".getBytes());
      conn.setRequestProperty("Proxy-authorization", "Basic " + basic);
      BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream()));
      String line = null;

      while((line = br.readLine()) != null) {
         System.out.println(line);
      }

      br.close();
   }

   public static void main(String[] args) throws Exception {
      CookieManager manager = new CookieManager();
      manager.setCookiePolicy(CookiePolicy.ACCEPT_ORIGINAL_SERVER);
      CookieHandler.setDefault(manager);
      printCookie(manager.getCookieStore());
      HashMap map = new HashMap();
      map.put("username", "372011614@qq.com");
      map.put("password", "6451275Ss$");
      map.put("remember", "0");
      String result = HttpPressureUtil.doPostForm("https://dash.sigmob.com/login", map);
      System.out.println(result);
      printCookie(manager.getCookieStore());
      String r = HttpPressureUtil.doGet("https://dash.sigmob.com/v3/league/app/list/?page=1&size=10&appids=[]&start_date=2023-09-12&end_date=2023-09-12");
      System.out.println(r);
   }
}
